HighlightImpl (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.ui.component.HighlightImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.ui.component
Class HighlightImpl

    java.lang.Object
      org.richfaces.ui.component.HighlightImpl

All Implemented Interfaces:
  Highlight

    public class HighlightImpl

extends java.lang.Object
implements Highlight

Author:
  asmirnov

Constructor Summary
`HighlightImpl(java.lang.String type)`

Method Summary
`void` | `highlight(java.lang.String name, java.io.InputStream in, javax.faces.context.ResponseWriter out, java.lang.String encoding)`
`java.lang.String` | `highlight(java.lang.String name, java.lang.String in, java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighlightImpl

    public HighlightImpl(java.lang.String type)

Method Detail

### highlight

    public void highlight(java.lang.String name,
                          java.io.InputStream in,
                          javax.faces.context.ResponseWriter out,
                          java.lang.String encoding)
                   throws java.io.IOException

  Specified by:
    `highlight` in interface `Highlight`
  Throws:
    `java.io.IOException`
  See Also:
    `com.uwyn.jhighlight.renderer.Renderer#highlight(java.lang.String, java.io.InputStream, java.io.OutputStream, java.lang.String, boolean)`

### highlight

    public java.lang.String highlight(java.lang.String name,
                                      java.lang.String in,
                                      java.lang.String encoding)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.